﻿/**Begin D:\tools\PDM_UPGRADE\pdmnew\PMBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_BGCONTROLBIZREG')
 CREATE TABLE T_PMBS_BGCONTROLBIZREG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDALIAS VARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FBIZSYSTEMALIAS VARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZUNITID BIGINT DEFAULT 0 NOT NULL,
FBIZUNITALIAS VARCHAR(80) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(255) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT ' ' NOT NULL,
FISPREFAB CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FFIELDTABLE VARCHAR(80) DEFAULT ' ' NOT NULL,
FTYPENAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FISENTRYFIELD CHAR(1) DEFAULT ' ' NOT NULL,
FISFLEX CHAR(1) DEFAULT ' ' NOT NULL,
FVALUESOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFLEXDATATABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FREFEREDSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_CONBIZREGDATA')
 CREATE TABLE T_PMBS_CONBIZREGDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FFIELDDIMENSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FFIELDTABLE VARCHAR(80) DEFAULT ' ' NOT NULL,
FSEQUENCE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_CONBIZREGENTITY')
 CREATE TABLE T_PMBS_CONBIZREGENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FISPREFAB VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_STRUCTOFBILL')
 CREATE TABLE T_PMBS_STRUCTOFBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FFIELDTABLE VARCHAR(80) DEFAULT ' ' NOT NULL,
FISFROMOUTER CHAR(1) DEFAULT ' ' NOT NULL,
FBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_STRUCTOFBILL_L')
 CREATE TABLE T_PMBS_STRUCTOFBILL_L (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\tools\PDM_UPGRADE\pdmnew\PMBS_table.sql **/
