/**Begin D:\tools\PDM_UPGRADE\pdmnew\PMBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBS_BGCONTROLBIZREG' AND KSQL_COL_NAME ='FBUDGETMAPPINGID')
 ALTER TABLE T_PMBS_BGCONTROLBIZREG ADD (FBUDGETMAPPINGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBS_BGCONTROLBIZREG' AND KSQL_COL_NAME ='FVERSION')
 ALTER TABLE T_PMBS_BGCONTROLBIZREG ADD (FVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_BUDGETMAPPING')
 CREATE TABLE T_PMBS_BUDGETMAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FMAPPINGDIMID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPPINGDIMTYPEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_BUDGETMAPPING_L')
 CREATE TABLE T_PMBS_BUDGETMAPPING_L (
FPKID VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_BUDGETMAPENTRY')
 CREATE TABLE T_PMBS_BUDGETMAPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAPPINGVALUEID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPROBUDGETID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\tools\PDM_UPGRADE\pdmnew\PMBS_table.sql **/
