﻿/**Begin D:\PDM_UPGRADE\PDM1\PMBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PMBS_ATTACHTYPE', 'T_PMBS_ATTACHTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBS_ATTTYPE_0') CREATE INDEX IDX_PMBS_ATTTYPE_0 ON T_PMBS_ATTACHTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMBS_ATTACHTYPEENTRY', 'T_PMBS_ATTACHTYPEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBS_ATT_TY_EN_0') CREATE INDEX IDX_PMBS_ATT_TY_EN_0 ON T_PMBS_ATTACHTYPEENTRY ( FATTACHTYPE );


 EXEC P_ALTERPK 'PK_T_PMBS_DECORGCONFENTRY', 'T_PMBS_DECORGCONFENTRY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBS_DE_CO_EN_0') CREATE INDEX IDX_PMBS_DE_CO_EN_0 ON T_PMBS_DECORGCONFENTRY ( FBASEDATAID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_PMBS_REPORGCONF', 'T_PMBS_REPORGCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBS_RE_CONF_0') CREATE INDEX IDX_PMBS_RE_CONF_0 ON T_PMBS_REPORGCONF ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMBS_REPORGCONFENTRY', 'T_PMBS_REPORGCONFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBS_RE_CO_EN_0') CREATE INDEX IDX_PMBS_RE_CO_EN_0 ON T_PMBS_REPORGCONFENTRY ( FID ,FREPORTORG );


 EXEC P_ALTERPK 'PK_T_PMBS_ATTACHTYPE_L', 'T_PMBS_ATTACHTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBS_ATT_TY_L_0') CREATE  CLUSTERED INDEX IDX_PMBS_ATT_TY_L_0 ON T_PMBS_ATTACHTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMBS_REPORGCONF_L', 'T_PMBS_REPORGCONF_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBS_RE_CO_L_0') CREATE  CLUSTERED INDEX IDX_PMBS_RE_CO_L_0 ON T_PMBS_REPORGCONF_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\PMBS_constraint.sql **/
