﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_BUDGETTPL') 
 CREATE TABLE T_PMBS_BUDGETTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(510) DEFAULT ' ' NOT NULL,
FSOURCETYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_BUDGETTPL_L') 
 CREATE TABLE T_PMBS_BUDGETTPL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_BUDGETTPLENTRY') 
 CREATE TABLE T_PMBS_BUDGETTPLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTIONENTRY NVARCHAR(510) DEFAULT ' ' NOT NULL,
FBUDGETIITEMID BIGINT DEFAULT 0 NOT NULL,
FBUDGETITEMNAME NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBS_BUDGETITEM' AND KSQL_COL_NAME IN ('FLONGNUMBER')) 
 ALTER TABLE T_PMBS_BUDGETITEM ADD (FLONGNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBS_BUDGETITEM' AND KSQL_COL_NAME IN ('FLEVEL')) 
 ALTER TABLE T_PMBS_BUDGETITEM ADD (FLEVEL BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBS_BUDGETITEM' AND KSQL_COL_NAME IN ('FISLEAF')) 
 ALTER TABLE T_PMBS_BUDGETITEM ADD (FISLEAF CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBS_BUDGETITEM' AND KSQL_COL_NAME IN ('FPARENTID')) 
 ALTER TABLE T_PMBS_BUDGETITEM ADD (FPARENTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBS_BUDGETITEM_L' AND KSQL_COL_NAME IN ('FFULLNAME')) 
 ALTER TABLE T_PMBS_BUDGETITEM_L ADD (FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMBS_table.sql **/
