﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_SPVPROP') 
 CREATE TABLE T_PMBS_SPVPROP (
FID BIGINT DEFAULT 0 NOT NULL,
FSYSBILLID VARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FPROFIELDNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FPROFIELDNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FCONFIGURABLE CHAR(1) DEFAULT ' ' NOT NULL,
FPROKINDVISIBLE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_SPVPROPENTRY') 
 CREATE TABLE T_PMBS_SPVPROPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROPNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROPNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROPTYPE VARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDPROKINDVISIBLE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_SUPERVISEPROPCOND') 
 CREATE TABLE T_PMBS_SUPERVISEPROPCOND (
FID BIGINT DEFAULT 0 NOT NULL,
FPROPDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATA VARCHAR(4000) DEFAULT ' ' NOT NULL,
FBILLNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_WORKEXECUTION') 
 CREATE TABLE T_PMBS_WORKEXECUTION (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJECTSTAGEID BIGINT DEFAULT 0 NOT NULL,
FKEYITEM CHAR(1) DEFAULT ' ' NOT NULL,
FSYSBILLID BIGINT DEFAULT 0 NOT NULL,
FKEYPROPCONFIGID VARCHAR(50) DEFAULT ' ' NOT NULL,
FESTIMATEENDTIME DATETIME,
FACTUALENDTIME DATETIME,
FITEMWARNINGLIGHT VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FHIDDENDATA CHAR(1) DEFAULT ' ' NOT NULL,
FSCANEND CHAR(1) DEFAULT ' ' NOT NULL,
FRELATEBIZBILLIDS VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_PROKINDSPV') 
 CREATE TABLE T_PMBS_PROKINDSPV (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSPVPROJECTSTAGEID BIGINT DEFAULT 0 NOT NULL,
FWORKITEM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYITEM CHAR(1) DEFAULT ' ' NOT NULL,
FSYSBILLID BIGINT DEFAULT 0 NOT NULL,
FKEYPROPCONFIGID VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_WORKEXECUTION_L') 
 CREATE TABLE T_PMBS_WORKEXECUTION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FWORKITEM VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_PROKINDSPV_L') 
 CREATE TABLE T_PMBS_PROKINDSPV_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FWORKITEM VARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMBS_table.sql **/
